package com.iamberry.wechat.core.entity.integral;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员积分来源配置实体类
 * Created by liuzhiwei on 2018/1/3.
 */
public class IntegralConfig implements Serializable {

    private static final long serialVersionUID = -5203943990736410863L;

    private Integer integralConfigId;       //ID
    private String integralConfigName;      //来源名称
    private Integer integralConfigNumber;   //积分数量
    private Integer integralConfigStatus;   //状态
    private Integer integralConfigColorId;//产品颜色id
    private Date integralConfigCreateTime;  //创建时间

    public Integer getIntegralConfigId() {
        return integralConfigId;
    }

    public void setIntegralConfigId(Integer integralConfigId) {
        this.integralConfigId = integralConfigId;
    }

    public String getIntegralConfigName() {
        return integralConfigName;
    }

    public void setIntegralConfigName(String integralConfigName) {
        this.integralConfigName = integralConfigName;
    }

    public Integer getIntegralConfigNumber() {
        return integralConfigNumber;
    }

    public void setIntegralConfigNumber(Integer integralConfigNumber) {
        this.integralConfigNumber = integralConfigNumber;
    }

    public Integer getIntegralConfigStatus() {
        return integralConfigStatus;
    }

    public void setIntegralConfigStatus(Integer integralConfigStatus) {
        this.integralConfigStatus = integralConfigStatus;
    }

    public Date getIntegralConfigCreateTime() {
        return integralConfigCreateTime;
    }

    public void setIntegralConfigCreateTime(Date integralConfigCreateTime) {
        this.integralConfigCreateTime = integralConfigCreateTime;
    }

    public Integer getIntegralConfigColorId() {
        return integralConfigColorId;
    }

    public void setIntegralConfigColorId(Integer integralConfigColorId) {
        this.integralConfigColorId = integralConfigColorId;
    }
}
